%global dlrn_nvr heat-dashboard-2.0.1.dev4-0.20200226215439.2719498
%global dlrn 1
%define upstream_version 2.0.1.dev4
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global with_doc 0

%global pypi_name heat-dashboard
%global openstack_name heat-ui

# tests are disabled by default
%bcond_with tests

Name:           openstack-%{openstack_name}
Version: 2.0.1
Release: 0.20200226215439.2719498%{?dist}
Summary:        OpenStack Heat Dashboard for Horizon

License:        ASL 2.0
URL:            https://launchpad.net/heat-dashboard
Source0: heat-dashboard-2.0.1.dev4-0.20200226215439.2719498.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=27194986f0321ad1fe6feed4b2138f1cb9547e70

#

BuildArch:      noarch

BuildRequires:  git
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-testrepository
BuildRequires:  python%{pyver}-testscenarios
BuildRequires:  python%{pyver}-testtools
BuildRequires:  python%{pyver}-pbr
BuildRequires:  python%{pyver}-subunit
BuildRequires:  python%{pyver}-oslotest
BuildRequires:  openstack-macros
# Required to compile i18n messages
BuildRequires:  python%{pyver}-django
BuildRequires:  gettext

Requires:       openstack-dashboard
Requires:       python%{pyver}-XStatic-Angular-UUID
Requires:       python%{pyver}-XStatic-Angular-Vis
Requires:       python%{pyver}-XStatic-FileSaver
Requires:       python%{pyver}-XStatic-Json2yaml
Requires:       python%{pyver}-XStatic-JS-Yaml
Requires:       python%{pyver}-pbr >= 2.0.0
Requires:       python%{pyver}-heatclient >= 1.10.0

%description
Heat Dashboard is an extension for OpenStack Dashboard that provides a UI
for Heat.

%if 0%{?with_doc}
# Documentation package
%package -n python%{pyver}-%{openstack_name}-doc
Summary:        Documentation for OpenStack Heat Dashboard for Horizon
%{?python_provide:%python_provide python%{pyver}-%{openstack_name}-doc}
BuildRequires:  python%{pyver}-openstackdocstheme
BuildRequires:  python%{pyver}-sphinx

%description -n python%{pyver}-%{openstack_name}-doc
Documentation for Heat Dashboard
%endif

%prep
%autosetup -n %{pypi_name}-%{upstream_version} -S git
# Let RPM handle the dependencies
%py_req_cleanup

%build
%{pyver_build}
# Generate i18n files
pushd build/lib/heat_dashboard
django-admin compilemessages
popd

%if 0%{?with_doc}
# Build html documentation
%{pyver_bin} setup.py build_sphinx -b html
# Remove the sphinx-build-%{pyver} leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{pyver_install}

# Move config to horizon
mkdir -p %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled
for f in heat_dashboard/enabled/_16*.py*; do
  filename=`basename $f`
  install -p -D -m 644 heat_dashboard/enabled/${filename} %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled/$(filename)
done

# Remove .po and .pot (they are not required)
rm -f %{buildroot}%{pyver_sitelib}/heat_dashboard/locale/*/LC_*/django*.po
rm -f %{buildroot}%{pyver_sitelib}/heat_dashboard/locale/*pot

# Find language files
%find_lang django --all-name

%check
%if 0%{?with_test}
%{pyver_bin} manage.py test
%endif

%files -f django.lang
%doc README.rst
%license LICENSE
%{pyver_sitelib}/heat_dashboard
%{pyver_sitelib}/*.egg-info
%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled/_1610_project_orchestration_panel.py*
%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled/_1620_project_stacks_panel.py*
%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled/_1630_project_resource_types_panel.py*
%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled/_1640_project_template_versions_panel.py*
%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled/_1650_project_template_generator_panel.py*

%if 0%{?with_doc}
%files -n python%{pyver}-%{openstack_name}-doc
%doc doc/build/html
%license LICENSE
%endif

%changelog
* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> 2.0.0-1
- Update patches

* Tue Jan 28 2020 OSP Prod Chain <dev-null@redhat.com> 2.0.0-1
- Update patches
- Imported Translations from Zanata

* Tue Dec 03 2019 OSP Prod Chain <dev-null@redhat.com> 2.0.0-1
- Update patches
- Imported Translations from Zanata

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> 2.0.0-1
- Update patches

* Tue Oct 01 2019 OSP Prod Chain <dev-null@redhat.com> 2.0.0-0.1.0rc1
- Update patches
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Mon Sep 30 2019 RDO <dev@lists.rdoproject.org> 2.0.0-0.1.0rc1
- Update to 2.0.0.0rc1


